# tzwrapper.h File Reference

## Detailed Description

Timezone adjustment class, wrapping the TZ environment variable to make struct tm -> time_t conversions easier.

Definition in file tzwrapper.h.

`#include "dll.h"`
`#include <string>`
`#include <time.h>`
`#include <stdlib.h>`

Include dependency graph for tzwrapper.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Barry::Sync

## Classes

class | Barry::Sync::TzWrapper
| Wrapper class for the TZ environment variable. More...

## Functions

struct tm * | Barry::Sync::iso_to_tm (const char *timestamp, struct tm *result, bool &utc, bool *zone=0, int *zoneminutes=0)
| Parses ISO timestamp in the format of YYYYMMDDTHHMMSS[Z] or YYYY-MM-DDTHH:MM:SS.uuu-HH:MM and places broken down time in result.
std::string | Barry::Sync::tm_to_iso (const struct tm *t, bool utc)
| Turns the struct tm into an ISO timestamp in the format of YYYYMMDDTHHMMSS[Z].
time_t | Barry::Sync::utc_mktime (struct tm *utctime)
| utc_mktime() converts a struct tm that contains broken down time in utc to a time_t.